<?php
/**
 * Revolution Pro.
 *
 * Onboarding config to load plugins and homepage content on theme activation.
 *
 * Visit `/wp-admin/admin.php?page=genesis-getting-started` to trigger import.
 *
 * @package Revolution Pro
 * @author  StudioPress
 * @license GPL-2.0-or-later
 * @link    https://my.studiopress.com/themes/revolution/
 */

return array(
	'dependencies'     => array(
		'plugins' => array(
			array(
				'name'       => __( 'HubSpot All-In-One Marketing (Third Party)', 'revolution-pro' ),
				'slug'       => 'leadin/leadin.php',
				'public_url' => 'https://wordpress.org/plugins/leadin/',
			),
			array(
				'name'       => __( 'Atomic Blocks', 'revolution-pro' ),
				'slug'       => 'atomic-blocks/atomicblocks.php',
				'public_url' => 'https://atomicblocks.com/',
			),
			array(
				'name'       => __( 'Simple Social Icons', 'revolution-pro' ),
				'slug'       => 'simple-social-icons/simple-social-icons.php',
				'public_url' => 'https://wordpress.org/plugins/simple-social-icons/',
			),
			array(
				'name'       => __( 'Genesis eNews Extended (Third Party)', 'revolution-pro' ),
				'slug'       => 'genesis-enews-extended/plugin.php',
				'public_url' => 'https://wordpress.org/plugins/genesis-enews-extended/',
			),
		),
	),
	'content'          => array(
		'homepage'     => array(
			'post_title'     => 'Homepage',
			'post_content'   => require dirname( __FILE__ ) . '/import/content/homepage.php',
			'post_type'      => 'page',
			'post_status'    => 'publish',
			'page_template'  => 'page-templates/blocks.php',
			'comment_status' => 'closed',
			'ping_status'    => 'closed',
		),
		'lifestyle'    => array(
			'post_title'     => 'Lifestyle Blogger',
			'post_content'   => require dirname( __FILE__ ) . '/import/content/lifestyle.php',
			'post_type'      => 'page',
			'post_status'    => 'publish',
			'page_template'  => 'page-templates/blocks.php',
			'comment_status' => 'closed',
			'ping_status'    => 'closed',
		),
		'personal'     => array(
			'post_title'     => 'Personal Branding',
			'post_content'   => require dirname( __FILE__ ) . '/import/content/personal.php',
			'post_type'      => 'page',
			'post_status'    => 'publish',
			'page_template'  => 'page-templates/blocks.php',
			'comment_status' => 'closed',
			'ping_status'    => 'closed',
		),
		'photographer' => array(
			'post_title'     => 'Photographer',
			'post_content'   => require dirname( __FILE__ ) . '/import/content/photographer.php',
			'post_type'      => 'page',
			'post_status'    => 'publish',
			'page_template'  => 'page-templates/blocks.php',
			'comment_status' => 'closed',
			'ping_status'    => 'closed',
		),
		'business'     => array(
			'post_title'     => 'Small Business',
			'post_content'   => require dirname( __FILE__ ) . '/import/content/business.php',
			'post_type'      => 'page',
			'post_status'    => 'publish',
			'page_template'  => 'page-templates/blocks.php',
			'comment_status' => 'closed',
			'ping_status'    => 'closed',
		),
		'examples'     => array(
			'post_title'     => 'Page Examples',
			'post_content'   => require dirname( __FILE__ ) . '/import/content/examples.php',
			'post_type'      => 'page',
			'post_status'    => 'publish',
			'comment_status' => 'closed',
			'ping_status'    => 'closed',
		),
		'blocks'       => array(
			'post_title'     => 'Block Content Examples',
			'post_content'   => require dirname( __FILE__ ) . '/import/content/block-examples.php',
			'post_type'      => 'page',
			'post_status'    => 'publish',
			'comment_status' => 'closed',
			'ping_status'    => 'closed',
		),
		'about'        => array(
			'post_title'     => 'About Us',
			'post_content'   => require dirname( __FILE__ ) . '/import/content/about.php',
			'post_type'      => 'page',
			'post_status'    => 'publish',
			'comment_status' => 'closed',
			'ping_status'    => 'closed',
		),
		'contact'      => array(
			'post_title'     => 'Contact Us',
			'post_content'   => require dirname( __FILE__ ) . '/import/content/contact.php',
			'post_type'      => 'page',
			'post_status'    => 'publish',
			'comment_status' => 'closed',
			'ping_status'    => 'closed',
		),
		'landing'      => array(
			'post_title'     => 'Landing Page',
			'post_content'   => require dirname( __FILE__ ) . '/import/content/landing-page.php',
			'post_type'      => 'page',
			'post_status'    => 'publish',
			'page_template'  => 'page-templates/landing.php',
			'comment_status' => 'closed',
			'ping_status'    => 'closed',
		),
	),
	'navigation_menus' => array(
		'primary'   => array(
			'homepage' => array(
				'title' => 'Home',
			),
			'about'    => array(
				'title' => 'About Us',
			),
			'contact'  => array(
				'title' => 'Contact Us',
			),
		),
		'secondary' => array(
			'examples'     => array(
				'title' => 'Page Examples',
			),
			'lifestyle'    => array(
				'title'  => 'Lifestyle Blogger',
				'parent' => 'examples',
			),
			'personal'     => array(
				'title'  => 'Personal Branding',
				'parent' => 'examples',
			),
			'photographer' => array(
				'title'  => 'Photographer',
				'parent' => 'examples',
			),
			'business'     => array(
				'title'  => 'Small Business',
				'parent' => 'examples',
			),
			'blocks'       => array(
				'title' => 'Block Examples',
			),
			'landing'      => array(
				'title' => 'Landing Page',
			),
		),
	),
);
